/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { DrawPass } from './draw';
import { PickPass } from './pick';
import { PostprocessingPass } from './postprocessing';
import { MultiSamplePass } from './multi-sample';
import { WebGLContext } from '../../mol-gl/webgl/context';
export declare class Passes {
    private webgl;
    readonly draw: DrawPass;
    readonly pick: PickPass;
    readonly postprocessing: PostprocessingPass;
    readonly multiSample: MultiSamplePass;
    constructor(webgl: WebGLContext, attribs?: Partial<{
        pickScale: number;
        enableWboit: boolean;
    }>);
    updateSize(): void;
}
