"use strict";
/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createEmptyMarkers = exports.createMarkers = void 0;
var value_cell_1 = require("../../mol-util/value-cell");
var linear_algebra_1 = require("../../mol-math/linear-algebra");
var util_1 = require("../../mol-gl/renderable/util");
function createMarkers(count, markerData) {
    var markers = util_1.createTextureImage(Math.max(1, count), 1, Uint8Array, markerData && markerData.tMarker.ref.value.array);
    if (markerData) {
        value_cell_1.ValueCell.update(markerData.tMarker, markers);
        value_cell_1.ValueCell.update(markerData.uMarkerTexDim, linear_algebra_1.Vec2.create(markers.width, markers.height));
        return markerData;
    }
    else {
        return {
            tMarker: value_cell_1.ValueCell.create(markers),
            uMarkerTexDim: value_cell_1.ValueCell.create(linear_algebra_1.Vec2.create(markers.width, markers.height)),
        };
    }
}
exports.createMarkers = createMarkers;
var emptyMarkerTexture = { array: new Uint8Array(1), width: 1, height: 1 };
function createEmptyMarkers(markerData) {
    if (markerData) {
        value_cell_1.ValueCell.update(markerData.tMarker, emptyMarkerTexture);
        value_cell_1.ValueCell.update(markerData.uMarkerTexDim, linear_algebra_1.Vec2.create(1, 1));
        return markerData;
    }
    else {
        return {
            tMarker: value_cell_1.ValueCell.create(emptyMarkerTexture),
            uMarkerTexDim: value_cell_1.ValueCell.create(linear_algebra_1.Vec2.create(1, 1)),
        };
    }
}
exports.createEmptyMarkers = createEmptyMarkers;
//# sourceMappingURL=marker-data.js.map