"use strict";
/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CylindersRenderable = exports.CylindersSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
exports.CylindersSchema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), schema_1.SizeSchema), { aStart: schema_1.AttributeSpec('float32', 3, 0), aEnd: schema_1.AttributeSpec('float32', 3, 0), aMapping: schema_1.AttributeSpec('float32', 3, 0), aScale: schema_1.AttributeSpec('float32', 1, 0), aCap: schema_1.AttributeSpec('float32', 1, 0), elements: schema_1.ElementsSpec('uint32'), padding: schema_1.ValueSpec('number'), dDoubleSided: schema_1.DefineSpec('boolean'), dIgnoreLight: schema_1.DefineSpec('boolean'), dXrayShaded: schema_1.DefineSpec('boolean') });
function CylindersRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.CylindersSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.CylindersShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'triangles', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.CylindersRenderable = CylindersRenderable;
//# sourceMappingURL=cylinders.js.map