"use strict";
/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeshRenderable = exports.MeshSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
exports.MeshSchema = tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), { aPosition: schema_1.AttributeSpec('float32', 3, 0), aNormal: schema_1.AttributeSpec('float32', 3, 0), elements: schema_1.ElementsSpec('uint32'), dFlatShaded: schema_1.DefineSpec('boolean'), dDoubleSided: schema_1.DefineSpec('boolean'), dFlipSided: schema_1.DefineSpec('boolean'), dIgnoreLight: schema_1.DefineSpec('boolean'), dXrayShaded: schema_1.DefineSpec('boolean') });
function MeshRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.MeshSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.MeshShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'triangles', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.MeshRenderable = MeshRenderable;
//# sourceMappingURL=mesh.js.map