"use strict";
/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PointsRenderable = exports.PointsSchema = void 0;
var tslib_1 = require("tslib");
var renderable_1 = require("../renderable");
var render_item_1 = require("../webgl/render-item");
var schema_1 = require("./schema");
var shader_code_1 = require("../shader-code");
var mol_util_1 = require("../../mol-util");
exports.PointsSchema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.BaseSchema), schema_1.SizeSchema), { aPosition: schema_1.AttributeSpec('float32', 3, 0), dPointSizeAttenuation: schema_1.DefineSpec('boolean'), dPointFilledCircle: schema_1.DefineSpec('boolean'), uPointEdgeBleach: schema_1.UniformSpec('f') });
function PointsRenderable(ctx, id, values, state, materialId) {
    var schema = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, schema_1.GlobalUniformSchema), schema_1.GlobalTextureSchema), schema_1.InternalSchema), exports.PointsSchema);
    var internalValues = {
        uObjectId: mol_util_1.ValueCell.create(id),
    };
    var shaderCode = shader_code_1.PointsShaderCode;
    var renderItem = render_item_1.createGraphicsRenderItem(ctx, 'points', shaderCode, schema, tslib_1.__assign(tslib_1.__assign({}, values), internalValues), materialId);
    return renderable_1.createRenderable(renderItem, values, state);
}
exports.PointsRenderable = PointsRenderable;
//# sourceMappingURL=points.js.map