/**
 * Copyright (c) 2018-2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { GLRenderingContext, COMPAT_instanced_arrays, COMPAT_standard_derivatives, COMPAT_vertex_array_object, COMPAT_element_index_uint, COMPAT_texture_float, COMPAT_texture_float_linear, COMPAT_blend_minmax, COMPAT_frag_depth, COMPAT_color_buffer_float, COMPAT_draw_buffers, COMPAT_shader_texture_lod, COMPAT_depth_texture, COMPAT_sRGB, COMPAT_texture_half_float, COMPAT_texture_half_float_linear, COMPAT_color_buffer_half_float } from './compat';
export declare type WebGLExtensions = {
    instancedArrays: COMPAT_instanced_arrays;
    elementIndexUint: COMPAT_element_index_uint;
    standardDerivatives: COMPAT_standard_derivatives | null;
    textureFloat: COMPAT_texture_float | null;
    textureFloatLinear: COMPAT_texture_float_linear | null;
    textureHalfFloat: COMPAT_texture_half_float | null;
    textureHalfFloatLinear: COMPAT_texture_half_float_linear | null;
    depthTexture: COMPAT_depth_texture | null;
    blendMinMax: COMPAT_blend_minmax | null;
    vertexArrayObject: COMPAT_vertex_array_object | null;
    fragDepth: COMPAT_frag_depth | null;
    colorBufferFloat: COMPAT_color_buffer_float | null;
    colorBufferHalfFloat: COMPAT_color_buffer_half_float | null;
    drawBuffers: COMPAT_draw_buffers | null;
    shaderTextureLod: COMPAT_shader_texture_lod | null;
    sRGB: COMPAT_sRGB | null;
};
export declare function createExtensions(gl: GLRenderingContext): WebGLExtensions;
