/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ReaderResult as Result } from '../result';
import { Task } from '../../../mol-task';
import { Column, Table } from '../../../mol-data/db';
import Schema = Column.Schema;
export declare const Schema3DG: {
    /** Chromosome name */
    chromosome: Schema.Str;
    /** Base position */
    position: Schema.Int;
    /** X coordinate */
    x: Schema.Float;
    /** Y coordinate */
    y: Schema.Float;
    /** Z coordinate */
    z: Schema.Float;
};
export declare type Schema3DG = typeof Schema3DG;
export interface File3DG {
    table: Table<Schema3DG>;
}
export declare function parse3DG(data: string): Task<Result<File3DG>>;
