/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 *
 * mostly adapted from https://gist.github.com/imbcmdth/6338194
 * which is ported from https://code.google.com/archive/p/fastapprox/ (BSD licensed)
 */
export declare function fastPow2(v: number): number;
export declare function fasterPow2(v: number): number;
export declare function fastExp(v: number): number;
export declare function fasterExp(v: number): number;
export declare function fastLog2(v: number): number;
export declare function fasterLog2(v: number): number;
export declare function fastLog(v: number): number;
export declare function fasterLog(v: number): number;
export declare function fastLog10(v: number): number;
export declare function fasterLog10(v: number): number;
export declare function fastSinh(v: number): number;
export declare function fasterSinh(v: number): number;
export declare function fastCosh(v: number): number;
export declare function fasterCosh(v: number): number;
export declare function fastTanh(v: number): number;
export declare function fasterTanh(v: number): number;
export declare function fastSin(v: number): number;
export declare function fasterSin(v: number): number;
export declare function fastCos(v: number): number;
export declare function fasterCos(v: number): number;
export declare function fastTan(v: number): number;
export declare function fasterTan(v: number): number;
/**
 * Adapted from:
 * "Efficient approximations for the arctangent function"
 * Rajan, S. Sichun Wang Inkol, R. Joyal, A., May 2006
 */
export declare function fastAtan(v: number): number;
export declare function fastAtan2(y: number, x: number): number;
