"use strict";
/**
 * Copyright (c) 2017 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
var _3d_1 = require("../3d");
describe('Mat4', function () {
    it('permutation', function () {
        expect(_3d_1.Mat4.areEqual(_3d_1.Mat4.fromPermutation(_3d_1.Mat4.zero(), [0, 1, 2, 3]), _3d_1.Mat4.identity(), 1e-6)).toBe(true);
        expect(_3d_1.Mat4.areEqual(_3d_1.Mat4.fromPermutation(_3d_1.Mat4.zero(), [1, 0, 2, 3]), _3d_1.Mat4.ofRows([
            [0, 1, 0, 0],
            [1, 0, 0, 0],
            [0, 0, 1, 0],
            [0, 0, 0, 1],
        ]), 1e-6)).toBe(true);
        var perm = _3d_1.Mat4.fromPermutation(_3d_1.Mat4.zero(), [1, 2, 0, 3]);
        expect(_3d_1.Vec3.transformMat4(_3d_1.Vec3.zero(), _3d_1.Vec3.create(1, 2, 3), perm)).toEqual(_3d_1.Vec3.create(2, 3, 1));
    });
});
//# sourceMappingURL=mat4.spec.js.map