/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Table, Column } from '../../../mol-data/db';
export declare class ComponentBuilder {
    private seqId;
    private atomId;
    private namesMap;
    private comps;
    private ids;
    private names;
    private types;
    private mon_nstd_flags;
    private set;
    private getAtomIds;
    private hasAtomIds;
    private getType;
    has(compId: string): boolean;
    get(compId: string): Table.Row<Pick<{
        type: Column.Schema.Aliased<"D-peptide linking" | "L-peptide linking" | "D-peptide NH3 amino terminus" | "L-peptide NH3 amino terminus" | "D-peptide COOH carboxy terminus" | "L-peptide COOH carboxy terminus" | "DNA linking" | "RNA linking" | "L-RNA linking" | "L-DNA linking" | "DNA OH 5 prime terminus" | "RNA OH 5 prime terminus" | "DNA OH 3 prime terminus" | "RNA OH 3 prime terminus" | "D-saccharide, beta linking" | "D-saccharide, alpha linking" | "L-saccharide, beta linking" | "L-saccharide, alpha linking" | "L-saccharide" | "D-saccharide" | "saccharide" | "non-polymer" | "peptide linking" | "peptide-like" | "L-gamma-peptide, C-delta linking" | "D-gamma-peptide, C-delta linking" | "L-beta-peptide, C-gamma linking" | "D-beta-peptide, C-gamma linking" | "other" | "Ion" | "Lipid">;
        formula: Column.Schema.Str;
        formula_weight: Column.Schema.Float;
        id: Column.Schema.Str;
        mon_nstd_flag: Column.Schema.Aliased<"y" | "no" | "n" | "yes">;
        name: Column.Schema.Str;
        pdbx_synonyms: Column.Schema.List<string>;
    }, "type" | "id" | "name">> | undefined;
    add(compId: string, index: number): Table.Row<Pick<{
        type: Column.Schema.Aliased<"D-peptide linking" | "L-peptide linking" | "D-peptide NH3 amino terminus" | "L-peptide NH3 amino terminus" | "D-peptide COOH carboxy terminus" | "L-peptide COOH carboxy terminus" | "DNA linking" | "RNA linking" | "L-RNA linking" | "L-DNA linking" | "DNA OH 5 prime terminus" | "RNA OH 5 prime terminus" | "DNA OH 3 prime terminus" | "RNA OH 3 prime terminus" | "D-saccharide, beta linking" | "D-saccharide, alpha linking" | "L-saccharide, beta linking" | "L-saccharide, alpha linking" | "L-saccharide" | "D-saccharide" | "saccharide" | "non-polymer" | "peptide linking" | "peptide-like" | "L-gamma-peptide, C-delta linking" | "D-gamma-peptide, C-delta linking" | "L-beta-peptide, C-gamma linking" | "D-beta-peptide, C-gamma linking" | "other" | "Ion" | "Lipid">;
        formula: Column.Schema.Str;
        formula_weight: Column.Schema.Float;
        id: Column.Schema.Str;
        mon_nstd_flag: Column.Schema.Aliased<"y" | "no" | "n" | "yes">;
        name: Column.Schema.Str;
        pdbx_synonyms: Column.Schema.List<string>;
    }, "type" | "id" | "name">>;
    getChemCompTable(): Table<{
        type: Column.Schema.Aliased<"D-peptide linking" | "L-peptide linking" | "D-peptide NH3 amino terminus" | "L-peptide NH3 amino terminus" | "D-peptide COOH carboxy terminus" | "L-peptide COOH carboxy terminus" | "DNA linking" | "RNA linking" | "L-RNA linking" | "L-DNA linking" | "DNA OH 5 prime terminus" | "RNA OH 5 prime terminus" | "DNA OH 3 prime terminus" | "RNA OH 3 prime terminus" | "D-saccharide, beta linking" | "D-saccharide, alpha linking" | "L-saccharide, beta linking" | "L-saccharide, alpha linking" | "L-saccharide" | "D-saccharide" | "saccharide" | "non-polymer" | "peptide linking" | "peptide-like" | "L-gamma-peptide, C-delta linking" | "D-gamma-peptide, C-delta linking" | "L-beta-peptide, C-gamma linking" | "D-beta-peptide, C-gamma linking" | "other" | "Ion" | "Lipid">;
        formula: Column.Schema.Str;
        formula_weight: Column.Schema.Float;
        id: Column.Schema.Str;
        mon_nstd_flag: Column.Schema.Aliased<"y" | "no" | "n" | "yes">;
        name: Column.Schema.Str;
        pdbx_synonyms: Column.Schema.List<string>;
    }>;
    setNames(names: [string, string][]): void;
    constructor(seqId: Column<number>, atomId: Column<string>);
}
