/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { CifField } from '../../../mol-io/reader/cif';
import { mmCIF_Schema } from '../../../mol-io/reader/cif/schema/mmcif';
import { Tokenizer } from '../../../mol-io/reader/common/text/tokenizer';
declare type AtomSiteTemplate = typeof getAtomSiteTemplate extends (...args: any) => infer T ? T : never;
export declare function getAtomSiteTemplate(data: string, count: number): {
    index: number;
    count: number;
    group_PDB: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    id: string[];
    auth_atom_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    label_alt_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    auth_comp_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    auth_asym_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    auth_seq_id: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_PDB_ins_code: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    Cartn_x: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    Cartn_y: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    Cartn_z: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    occupancy: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    B_iso_or_equiv: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    type_symbol: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
    pdbx_PDB_model_num: string[];
    label_entity_id: string[];
    partial_charge: import("../../../mol-io/reader/common/text/tokenizer").Tokens;
};
export declare function getAtomSite(sites: AtomSiteTemplate): {
    [K in keyof mmCIF_Schema['atom_site'] | 'partial_charge']?: CifField;
};
export declare function addAtom(sites: AtomSiteTemplate, model: string, data: Tokenizer, s: number, e: number, isPdbqt: boolean): void;
export {};
