/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { StructureElement } from './structure';
import { Bond } from './structure/structure/unit/bonds';
import { ShapeGroup } from './shape/shape';
import { PositionLocation } from '../mol-geo/util/location-iterator';
/** A null value Location */
export declare const NullLocation: {
    kind: "null-location";
};
export declare type NullLocation = typeof NullLocation;
export declare function isNullLocation(x: any): x is NullLocation;
/** A generic data Location */
export interface DataLocation<T = unknown, E = unknown> {
    readonly kind: 'data-location';
    readonly tag: string;
    readonly data: T;
    element: E;
}
export declare function DataLocation<T = unknown, E = unknown>(tag: string, data: T, element: E): DataLocation<T, E>;
export declare function isDataLocation(x: any): x is DataLocation;
export declare type Location = StructureElement.Location | Bond.Location | ShapeGroup.Location | PositionLocation | DataLocation | NullLocation;
