"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SequenceWrapper = void 0;
var int_1 = require("../../mol-data/int");
var loci_1 = require("../../mol-model/loci");
var marker_action_1 = require("../../mol-util/marker-action");
var SequenceWrapper = /** @class */ (function () {
    function SequenceWrapper(data, markerArray, length) {
        this.data = data;
        this.markerArray = markerArray;
        this.length = length;
    }
    SequenceWrapper.prototype.markResidue = function (loci, action) {
        if (loci_1.isEveryLoci(loci)) {
            return marker_action_1.applyMarkerAction(this.markerArray, int_1.Interval.ofLength(this.length), action);
        }
        else {
            return this.mark(loci, action);
        }
    };
    return SequenceWrapper;
}());
exports.SequenceWrapper = SequenceWrapper;
//# sourceMappingURL=wrapper.js.map