"use strict";
/**
 * Copyright (c) 2018-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PluginCommands = void 0;
var command_1 = require("./command");
exports.PluginCommands = {
    State: {
        SetCurrentObject: command_1.PluginCommand(),
        ApplyAction: command_1.PluginCommand(),
        Update: command_1.PluginCommand(),
        RemoveObject: command_1.PluginCommand(),
        ToggleExpanded: command_1.PluginCommand(),
        ToggleVisibility: command_1.PluginCommand(),
        Snapshots: {
            Add: command_1.PluginCommand(),
            Replace: command_1.PluginCommand(),
            Move: command_1.PluginCommand(),
            Remove: command_1.PluginCommand(),
            Apply: command_1.PluginCommand(),
            Clear: command_1.PluginCommand(),
            Upload: command_1.PluginCommand(),
            Fetch: command_1.PluginCommand(),
            DownloadToFile: command_1.PluginCommand(),
            OpenFile: command_1.PluginCommand(),
            OpenUrl: command_1.PluginCommand(),
        }
    },
    Interactivity: {
        Object: {
            Highlight: command_1.PluginCommand(),
        },
        Structure: {
            Highlight: command_1.PluginCommand(),
            Select: command_1.PluginCommand()
        },
        ClearHighlights: command_1.PluginCommand(),
    },
    Layout: {
        Update: command_1.PluginCommand()
    },
    Toast: {
        Show: command_1.PluginCommand(),
        Hide: command_1.PluginCommand()
    },
    Camera: {
        Reset: command_1.PluginCommand(),
        SetSnapshot: command_1.PluginCommand(),
        Focus: command_1.PluginCommand()
    },
    Canvas3D: {
        SetSettings: command_1.PluginCommand(),
        ResetSettings: command_1.PluginCommand()
    }
};
//# sourceMappingURL=commands.js.map