/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../../mol-theme/theme';
export declare const EntitySourceColorThemeParams: {
    palette: PD.Mapped<PD.NamedParams<PD.Normalize<{
        maxCount: number;
        hue: [number, number];
        chroma: [number, number];
        luminance: [number, number];
        clusteringStepCount: number;
        minSampleCount: number;
        valueLabel: (i: number) => string;
        minLabel: string;
        maxLabel: string;
    }>, "generate"> | PD.NamedParams<PD.Normalize<{
        list: {
            kind: "interpolate" | "set";
            colors: import("../../mol-util/color/color").ColorListEntry[];
        };
        valueLabel: (i: number) => string;
        minLabel: string;
        maxLabel: string;
    }>, "colors">>;
};
export declare type EntitySourceColorThemeParams = typeof EntitySourceColorThemeParams;
export declare function getEntitySourceColorThemeParams(ctx: ThemeDataContext): {
    palette: PD.Mapped<PD.NamedParams<PD.Normalize<{
        maxCount: number;
        hue: [number, number];
        chroma: [number, number];
        luminance: [number, number];
        clusteringStepCount: number;
        minSampleCount: number;
        valueLabel: (i: number) => string;
        minLabel: string;
        maxLabel: string;
    }>, "generate"> | PD.NamedParams<PD.Normalize<{
        list: {
            kind: "interpolate" | "set";
            colors: import("../../mol-util/color/color").ColorListEntry[];
        };
        valueLabel: (i: number) => string;
        minLabel: string;
        maxLabel: string;
    }>, "colors">>;
};
export declare function EntitySourceColorTheme(ctx: ThemeDataContext, props: PD.Values<EntitySourceColorThemeParams>): ColorTheme<EntitySourceColorThemeParams>;
export declare const EntitySourceColorThemeProvider: ColorTheme.Provider<EntitySourceColorThemeParams, 'entity-source'>;
