/**
 * Copyright (c) 2018-2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ColorTheme } from '../color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import { ThemeDataContext } from '../theme';
export declare const UniformColorThemeParams: {
    value: PD.Color;
};
export declare type UniformColorThemeParams = typeof UniformColorThemeParams;
export declare function getUniformColorThemeParams(ctx: ThemeDataContext): {
    value: PD.Color;
};
export declare function UniformColorTheme(ctx: ThemeDataContext, props: PD.Values<UniformColorThemeParams>): ColorTheme<UniformColorThemeParams>;
export declare const UniformColorThemeProvider: ColorTheme.Provider<UniformColorThemeParams, 'uniform'>;
