"use strict";
/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
var _a, _b, _c;
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDebugMode = exports.setProductionMode = exports.isDebugMode = exports.isProductionMode = void 0;
/**
 * on node `process.env.NODE_ENV` is available, in webpack build it is automatically set
 * by the DefinePlugin to the webpack `mode` value
 */
var isProductionMode = typeof process !== 'undefined' && ((_a = process.env) === null || _a === void 0 ? void 0 : _a.NODE_ENV) === 'production';
exports.isProductionMode = isProductionMode;
/**
 * set to true to enable more comprehensive checks and assertions,
 * mostly used in `mol-gl` and in valence-model calculation
 */
var isDebugMode = typeof process !== 'undefined' && (((_b = process.env) === null || _b === void 0 ? void 0 : _b.DEBUG) === '*' || ((_c = process.env) === null || _c === void 0 ? void 0 : _c.DEBUG) === 'molstar');
exports.isDebugMode = isDebugMode;
function setProductionMode(value) {
    if (typeof value !== 'undefined')
        exports.isProductionMode = isProductionMode = value;
}
exports.setProductionMode = setProductionMode;
function setDebugMode(value) {
    if (typeof value !== 'undefined')
        exports.isDebugMode = isDebugMode = value;
}
exports.setDebugMode = setDebugMode;
//# sourceMappingURL=debug.js.map