"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
require("./index.html");
var util_1 = require("../../mol-canvas3d/util");
var canvas3d_1 = require("../../mol-canvas3d/canvas3d");
var lines_builder_1 = require("../../mol-geo/geometry/lines/lines-builder");
var linear_algebra_1 = require("../../mol-math/linear-algebra");
var dodecahedron_1 = require("../../mol-geo/primitive/dodecahedron");
var lines_1 = require("../../mol-geo/geometry/lines/lines");
var color_1 = require("../../mol-util/color");
var render_object_1 = require("../../mol-gl/render-object");
var representation_1 = require("../../mol-repr/representation");
var parent = document.getElementById('app');
parent.style.width = '100%';
parent.style.height = '100%';
var canvas = document.createElement('canvas');
parent.appendChild(canvas);
util_1.resizeCanvas(canvas, parent);
var canvas3d = canvas3d_1.Canvas3D.fromCanvas(canvas);
canvas3d.animate();
function linesRepr() {
    var linesBuilder = lines_builder_1.LinesBuilder.create();
    var t = linear_algebra_1.Mat4.identity();
    var dodecahedronCage = dodecahedron_1.DodecahedronCage();
    linesBuilder.addCage(t, dodecahedronCage, 0);
    var lines = linesBuilder.getLines();
    var values = lines_1.Lines.Utils.createValuesSimple(lines, {}, color_1.Color(0xFF0000), 3);
    var state = lines_1.Lines.Utils.createRenderableState({});
    var renderObject = render_object_1.createRenderObject('lines', values, state, -1);
    var repr = representation_1.Representation.fromRenderObject('cage-lines', renderObject);
    return repr;
}
canvas3d.add(linesRepr());
canvas3d.requestCameraReset();
//# sourceMappingURL=render-lines.js.map