"use strict";
/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
Object.defineProperty(exports, "__esModule", { value: true });
require("./index.html");
var util_1 = require("../../mol-canvas3d/util");
var canvas3d_1 = require("../../mol-canvas3d/canvas3d");
var spheres_builder_1 = require("../../mol-geo/geometry/spheres/spheres-builder");
var spheres_1 = require("../../mol-geo/geometry/spheres/spheres");
var color_1 = require("../../mol-util/color");
var render_object_1 = require("../../mol-gl/render-object");
var representation_1 = require("../../mol-repr/representation");
var parent = document.getElementById('app');
parent.style.width = '100%';
parent.style.height = '100%';
var canvas = document.createElement('canvas');
parent.appendChild(canvas);
util_1.resizeCanvas(canvas, parent);
var canvas3d = canvas3d_1.Canvas3D.fromCanvas(canvas);
canvas3d.animate();
function spheresRepr() {
    var spheresBuilder = spheres_builder_1.SpheresBuilder.create(3, 1);
    spheresBuilder.add(0, 0, 0, 0);
    spheresBuilder.add(5, 0, 0, 0);
    spheresBuilder.add(-4, 1, 0, 0);
    var spheres = spheresBuilder.getSpheres();
    var values = spheres_1.Spheres.Utils.createValuesSimple(spheres, {}, color_1.Color(0xFF0000), 1);
    var state = spheres_1.Spheres.Utils.createRenderableState({});
    var renderObject = render_object_1.createRenderObject('spheres', values, state, -1);
    console.log(renderObject);
    var repr = representation_1.Representation.fromRenderObject('spheres', renderObject);
    return repr;
}
canvas3d.add(spheresRepr());
canvas3d.requestCameraReset();
//# sourceMappingURL=render-spheres.js.map