/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { ParameterControls } from '../../mol-plugin-ui/controls/parameters';
import { useBehavior } from '../../mol-plugin-ui/hooks/use-behavior';
import { PluginContextContainer } from '../../mol-plugin-ui/plugin';
export function mountControls(orbitals, parent) {
    ReactDOM.render(React.createElement(PluginContextContainer, { plugin: orbitals.plugin },
        React.createElement(Controls, { orbitals: orbitals })), parent);
}
function Controls(_a) {
    var orbitals = _a.orbitals;
    var params = useBehavior(orbitals.params);
    var values = useBehavior(orbitals.state);
    return React.createElement(ParameterControls, { params: params, values: values, onChangeValues: function (vs) { return orbitals.state.next(vs); } });
}
//# sourceMappingURL=controls.js.map