/**
 * Copyright (c) 2019 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { Color } from '../../mol-util/color';
import { ParamDefinition as PD } from '../../mol-util/param-definition';
import * as React from 'react';
import { ParamProps } from './parameters';
export declare class CombinedColorControl extends React.PureComponent<ParamProps<PD.Color>, {
    isExpanded: boolean;
    lightness: number;
}> {
    state: {
        isExpanded: boolean;
        lightness: number;
    };
    protected update(value: Color): void;
    toggleExpanded: (e: React.MouseEvent<HTMLButtonElement>) => void;
    onClickSwatch: (e: React.MouseEvent<HTMLButtonElement>) => void;
    onR: (v: number) => void;
    onG: (v: number) => void;
    onB: (v: number) => void;
    onLighten: () => void;
    onDarken: () => void;
    swatch(): JSX.Element;
    render(): JSX.Element;
}
export declare function ColorOptions(): {};
export declare function ColorValueOption(color: Color): JSX.Element | null;
