/**
 * Copyright (c) 2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import * as React from 'react';
import { PluginUIComponent } from '../base';
interface ViewportCanvasState {
    noWebGl: boolean;
    showLogo: boolean;
}
export interface ViewportCanvasParams {
    logo?: React.FC;
    noWebGl?: React.FC;
    parentClassName?: string;
    parentStyle?: React.CSSProperties;
    hostClassName?: string;
    hostStyle?: React.CSSProperties;
}
export declare class ViewportCanvas extends PluginUIComponent<ViewportCanvasParams, ViewportCanvasState> {
    private container;
    private canvas;
    state: ViewportCanvasState;
    private handleLogo;
    private handleResize;
    componentDidMount(): void;
    componentWillUnmount(): void;
    renderMissing(): JSX.Element;
    render(): JSX.Element;
}
export {};
