/**
 * Copyright (c) 2019-2020 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { PluginBehavior } from '../../../behavior';
import { ParamDefinition as PD } from '../../../../mol-util/param-definition';
export declare enum StructureFocusRepresentationTags {
    TargetSel = "structure-focus-target-sel",
    TargetRepr = "structure-focus-target-repr",
    SurrSel = "structure-focus-surr-sel",
    SurrRepr = "structure-focus-surr-repr",
    SurrNciRepr = "structure-focus-surr-nci-repr"
}
export declare const StructureFocusRepresentation: import("../../../../mol-state/transformer").StateTransformer<PluginBehavior.Category, PluginBehavior.Behavior, PD.Normalize<{
    expandRadius: number;
    targetParams: PD.Normalize<{
        [x: string]: any;
    }>;
    surroundingsParams: PD.Normalize<{
        [x: string]: any;
    }>;
    nciParams: PD.Normalize<{
        [x: string]: any;
    }>;
    components: ("target" | "interactions" | "surroundings")[];
    excludeTargetFromSurroundings: boolean;
    ignoreHydrogens: boolean;
}>>;
