"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = "\nprecision highp float;\nprecision highp sampler2D;\n\n// input texture (previous level used to evaluate the new level)\nuniform sampler2D tPreviousLevel;\n\n// inverted size of the previous level texture.\nuniform float uSize;\nuniform float uTexSize;\nuniform bool uFirst;\n\nvoid main(void) {\n    float k = 0.5 * uSize;\n    vec2 position = floor((gl_FragCoord.xy / uTexSize) / uSize) * uSize;\n    float a, b, c, d;\n\n    if (uFirst) {\n        a = texture2D(tPreviousLevel, position).r * 255.0;\n        b = texture2D(tPreviousLevel, position + vec2(k, 0.0)).r * 255.0;\n        c = texture2D(tPreviousLevel, position + vec2(0.0, k)).r * 255.0;\n        d = texture2D(tPreviousLevel, position + vec2(k, k)).r * 255.0;\n    } else {\n        a = texture2D(tPreviousLevel, position).r;\n        b = texture2D(tPreviousLevel, position + vec2(k, 0.0)).r;\n        c = texture2D(tPreviousLevel, position + vec2(0.0, k)).r;\n        d = texture2D(tPreviousLevel, position + vec2(k, k)).r;\n    }\n\n    gl_FragColor.a = a;\n    gl_FragColor.b = a + b;\n    gl_FragColor.g = gl_FragColor.b + c;\n    gl_FragColor.r = gl_FragColor.g + d;\n}\n";
//# sourceMappingURL=reduction.frag.js.map